## ros-crystal-rqt-py-common 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_py_common)

# Load catkin and all dependencies required for this package
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(rosidl_default_generators REQUIRED)
  find_package(ament_cmake_pytest REQUIRED)

  rosidl_generate_interfaces(${PROJECT_NAME}
    test/msg/Val.msg
    test/msg/ArrayVal.msg
    test/srv/AddTwoInts.srv
    DEPENDENCIES)

  ament_add_pytest_test(${PROJECT_NAME} test
    APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
    TIMEOUT 90)
endif()

ament_package()

=== debian/changelog ===
ros-crystal-rqt-py-common (1.0.2-0bionic) bionic; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 04 Feb 2019 08:00:00 -0000

ros-crystal-rqt-py-common (1.0.1-0bionic) bionic; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-rqt-py-common (1.0.0-0bionic) bionic; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-rqt-py-common (0.5.0-0bionic) bionic; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Apr 2017 07:00:00 -0000

ros-crystal-rqt-py-common (0.4.7-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 08:00:00 -0000

ros-crystal-rqt-py-common (0.4.6-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 08:00:00 -0000

ros-crystal-rqt-py-common (0.4.5-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 08:00:00 -0000

ros-crystal-rqt-py-common (0.4.4-0bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-rqt-py-common (0.4.3-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 07:00:00 -0000

ros-crystal-rqt-py-common (0.4.2-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-crystal-rqt-py-common (0.4.1-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 07:00:00 -0000

ros-crystal-rqt-py-common (0.4.0-0bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.13-0bionic) bionic; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 08:00:00 -0000

ros-crystal-rqt-py-common (0.3.12-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.11-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.10-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.9-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.8-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 15 Jul 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.7-0bionic) bionic; urgency=high

  * improve topic helpers to make more things plottable (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jul 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.6-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 02 Jun 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.5-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 May 2014 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.4-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 28 Jan 2014 08:00:00 -0000

ros-crystal-rqt-py-common (0.3.3-0bionic) bionic; urgency=high

  * fix ui loading of plugin constainer widget

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 08 Jan 2014 08:00:00 -0000

ros-crystal-rqt-py-common (0.3.2-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Oct 2013 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.1-0bionic) bionic; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 09 Oct 2013 07:00:00 -0000

ros-crystal-rqt-py-common (0.3.0-0bionic) bionic; urgency=high





=== debian/control ===
Source: ros-crystal-rqt-py-common
Section: misc
Priority: extra
Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-pytest, ros-crystal-rclpy, ros-crystal-rosidl-default-generators, ros-crystal-ros-workspace, ros-crystal-rmw-connext-cpp, ros-crystal-rmw-fastrtps-cpp, ros-crystal-rmw-implementation, ros-crystal-rmw-opensplice-cpp, ros-crystal-rosidl-typesupport-connext-c, ros-crystal-rosidl-typesupport-connext-cpp, ros-crystal-rosidl-typesupport-opensplice-c, ros-crystal-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/rqt_py_common
Standards-Version: 3.9.2

Package: ros-crystal-rqt-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-crystal-python-qt-binding (>= 0.3.4), ros-crystal-qt-gui, ros-crystal-rclpy, ros-crystal-rosidl-default-runtime, ros-crystal-ros-workspace
Description: rqt_py_common provides common functionality for rqt plugins written in Python.
 Despite no plugin is provided, this package is part of the rqt_common_plugins repository to keep refactoring generic functionality from these common plugins into this package as easy as possible. Functionality included in this package should cover generic ROS concepts and should not introduce any special dependencies beside &quot;ros_base&quot;.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-rqt-py-common//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
